Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 554358 - media-sound/gsm-1.0.13-r1: installs files u-w
Summary: media-sound/gsm-1.0.13-r1: installs files u-w
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Sound Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: u-w
  Show dependency tree
 
Reported: 2015-07-09 16:18 UTC by Michał Górny
Modified: 2016-02-11 15:22 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
added -fPIC to .ebuild file so that it works (with hardened gcc 5.2.0) (gsm_fpic.patch,537 bytes, patch)
2015-08-26 19:47 UTC, abandoned account disabled email
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2015-07-09 16:18:32 UTC
media-sound/gsm:0 -r--r--r-- root:root /usr/include/gsm/gsm.h
media-sound/gsm:0 -r--r--r-- root:root /usr/lib32/libgsm.a
media-sound/gsm:0 -r--r--r-- root:root /usr/lib64/libgsm.a
media-sound/gsm:0 -r--r--r-- root:root /usr/share/man/man1/toast.1.bz2
media-sound/gsm:0 -r--r--r-- root:root /usr/share/man/man3/gsm.3.bz2
media-sound/gsm:0 -r--r--r-- root:root /usr/share/man/man3/gsm_explode.3.bz2
media-sound/gsm:0 -r--r--r-- root:root /usr/share/man/man3/gsm_option.3.bz2
media-sound/gsm:0 -r--r--r-- root:root /usr/share/man/man3/gsm_print.3.bz2

See the tracker for more complete explanation of issues with files not writeable by owner.
Comment 1 abandoned account disabled email 2015-08-26 16:06:40 UTC
Does not compile, for me with hardened.

>>> Emerging (1 of 1) media-sound/gsm-1.0.13-r1::gentoo
 * gsm-1.0.13.tar.gz SHA256 SHA512 WHIRLPOOL size ;-) ...                                              [ ok ]
>>> Unpacking source...
>>> Unpacking gsm-1.0.13.tar.gz to /var/tmp/portage/media-sound/gsm-1.0.13-r1/work
>>> Source unpacked in /var/tmp/portage/media-sound/gsm-1.0.13-r1/work
>>> Preparing source in /var/tmp/portage/media-sound/gsm-1.0.13-r1/work/gsm-1.0-pl13 ...
 * Applying gsm-1.0.13-shared.patch ...                                                                [ ok ]
 * Applying gsm-1.0.12-memcpy.patch ...                                                                [ ok ]
 * Applying gsm-1.0.12-64bit.patch ...                                                                 [ ok ]
 * Will copy sources from /var/tmp/portage/media-sound/gsm-1.0.13-r1/work/gsm-1.0-pl13
 * abi_x86_64.amd64: copying to /var/tmp/portage/media-sound/gsm-1.0.13-r1/work/gsm-1.0-pl13-abi_x86_64.amd64
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/media-sound/gsm-1.0.13-r1/work/gsm-1.0-pl13 ...
 * abi_x86_64.amd64: running multilib-minimal_abi_src_configure
>>> Source configured.
>>> Compiling source in /var/tmp/portage/media-sound/gsm-1.0.13-r1/work/gsm-1.0-pl13 ...
 * abi_x86_64.amd64: running multilib-minimal_abi_src_compile
make -j4 -j1 'CCFLAGS=-O2 -pipe -march=native -ggdb -fvar-tracking-assignments -fno-omit-frame-pointer -ftrack-macro-expansion=2 -fstack-protector-all -c -DNeedFunctionPrototypes=1' LD=x86_64-pc-linux-gnu-gcc AR=x86_64-pc-linux-gnu-ar CC=x86_64-pc-linux-gnu-gcc 
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -ggdb -fvar-tracking-assignments -fno-omit-frame-pointer -ftrack-macro-expansion=2 -fstack-protector-all -c -DNeedFunctionPrototypes=1 -DSASR 1    -DWAV49  -I./inc src/add.c
x86_64-pc-linux-gnu-gcc: error: 1: No such file or directory
Makefile:297: recipe for target 'src/add.o' failed
make: *** [src/add.o] Error 1
 * ERROR: media-sound/gsm-1.0.13-r1::gentoo failed (compile phase):
 *   emake failed
 * 
 * If you need support, post the output of `emerge --info '=media-sound/gsm-1.0.13-r1::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=media-sound/gsm-1.0.13-r1::gentoo'`.
 * The complete build log is located at '/var/log/portage/ebuild.logs/build/media-sound/gsm-1.0.13-r1:20150826-160227.log'.
 * For convenience, a symlink to the build log is located at '/var/tmp/portage/media-sound/gsm-1.0.13-r1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-sound/gsm-1.0.13-r1/temp/environment'.
 * Working directory: '/var/tmp/portage/media-sound/gsm-1.0.13-r1/work/gsm-1.0-pl13-abi_x86_64.amd64'
 * S: '/var/tmp/portage/media-sound/gsm-1.0.13-r1/work/gsm-1.0-pl13'

>>> Failed to emerge media-sound/gsm-1.0.13-r1, Log file:

>>>  '/var/log/portage/ebuild.logs/build/media-sound/gsm-1.0.13-r1:20150826-160227.log'

 * Messages for package media-sound/gsm-1.0.13-r1:

 * ERROR: media-sound/gsm-1.0.13-r1::gentoo failed (compile phase):
 *   emake failed
 * 
 * If you need support, post the output of `emerge --info '=media-sound/gsm-1.0.13-r1::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=media-sound/gsm-1.0.13-r1::gentoo'`.
 * The complete build log is located at '/var/log/portage/ebuild.logs/build/media-sound/gsm-1.0.13-r1:20150826-160227.log'.
 * For convenience, a symlink to the build log is located at '/var/tmp/portage/media-sound/gsm-1.0.13-r1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-sound/gsm-1.0.13-r1/temp/environment'.
 * Working directory: '/var/tmp/portage/media-sound/gsm-1.0.13-r1/work/gsm-1.0-pl13-abi_x86_64.amd64'
 * S: '/var/tmp/portage/media-sound/gsm-1.0.13-r1/work/gsm-1.0-pl13'


# emerge --info
Portage 2.2.20.1 (python 3.4.3-final-0, hardened/linux/amd64/no-multilib, gcc-4.8.5, glibc-2.21-r1, 4.1.6-hardened-r1-g45b4b78 x86_64)
=================================================================
System uname: Linux-4.1.6-hardened-r1-g45b4b78-x86_64-AMD_A6-3400M_APU_with_Radeon-tm-_HD_Graphics-with-gentoo-2.2
KiB Mem:    10223268 total,   8763720 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Tue, 25 Aug 2015 00:45:01 +0000
sh bash 4.3_p42
ld GNU ld (Gentoo 2.25.1 p1.0) 2.25.1
ccache version 3.2.3 [enabled]
app-shells/bash:          4.3_p42::gentoo
dev-lang/perl:            5.22.0::gentoo
dev-lang/python:          2.7.10::gentoo, 3.4.3::gentoo
dev-util/ccache:          3.2.3::gentoo
dev-util/cmake:           3.3.1-r1::gentoo
dev-util/pkgconfig:       0.28-r3::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.17::gentoo
sys-apps/sandbox:         2.6-r1::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r1::gentoo
sys-devel/automake:       1.13.4::gentoo, 1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.25.1::gentoo
sys-devel/gcc:            4.8.5::gentoo, 5.2.0::gentoo
sys-devel/gcc-config:     1.8::gentoo
sys-devel/libtool:        2.4.6-r1::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 4.1::gentoo (virtual/os-headers)
sys-libs/glibc:           2.21-r1::gentoo
Repositories:

gentoo
    location: /usr/portage
    priority: -1000

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="@FREE"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=native -ggdb -fvar-tracking-assignments -fno-omit-frame-pointer -ftrack-macro-expansion=2 -fstack-protector-all"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe -march=native -ggdb -fvar-tracking-assignments -fno-omit-frame-pointer -ftrack-macro-expansion=2 -fstack-protector-all"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs ccache cgroup collision-protect config-protect-if-modified distlocks downgrade-backup ebuild-locks fakeroot fixlafiles force-mirror installsources ipc-sandbox merge-sync multilib-strict network-sandbox news nostrip parallel-fetch parallel-install prelink-checksums preserve-libs sandbox sfperms split-elog split-log strict unknown-features-warn unmerge-backup unmerge-logs userfetch userpriv usersandbox webrsync-gpg"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.romnet.org/gentoo/ http://tux.rainside.sk/gentoo/ http://de-mirror.org/gentoo/ http://gd.tuwien.ac.at/opsys/linux/gentoo/ http://www.las.ic.unicamp.br/pub/gentoo/"
INSTALL_MASK="/lib/systemd /lib32/systemd /lib64/systemd /usr/lib/systemd /usr/lib32/systemd /usr/lib64/systemd /etc/systemd"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
USE="3dnow 3dnowext X acl amd64 berkdb bindist btrfs bzip2 cli consolekit cracklib crypt cryptsetup cscope cxx dbus device-mapper dri egl extensions gdbm git gpg gpm gtk3 hardened iconv jpeg justify lock mmx mmxext modules mosh-hardening ncurses nptl openmp pam pax_kernel pcre pie policykit pulseaudio qt4 readline seccomp session sse sse2 sse3 ssl ssp startup-notification strong-security system-icu system-jpeg system-libvpx system-sqlite urandom xattr xcomposite xtpax zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="3dnow 3dnowext mmx mmxext sse sse2 sse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="pc" INPUT_DEVICES="keyboard virtualbox evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby19 ruby20" USERLAND="GNU" VIDEO_CARDS="virtualbox" XFCE_PLUGINS="brightness clock trash battery power" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
USE_PYTHON="2.7"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS



Also tried, gcc 5.2.0 (hardened and vanilla).

This is needed to emerge chromium and it is the only version available:
# equery m gsm
 * media-sound/gsm [gentoo]
Herd:        sound (sound@gentoo.org)
Maintainer:  None specified
Upstream:    None specified
Homepage:    http://packages.qa.debian.org/libg/libgsm.html
Location:    /usr/portage/media-sound/gsm
Keywords:    1.0.13-r1:0: alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 ~amd64-fbsd ~arm64 ~mips ~s390
                          ~x86-fbsd
License:     gsm

Any ideas? Thanks.
Comment 2 abandoned account disabled email 2015-08-26 16:45:12 UTC
Ok I see what's up, that:
-DSASR 1
maybe it should be:
-DSASR=1
?
Comment 3 abandoned account disabled email 2015-08-26 16:47:24 UTC
nevermind it's my DEBUG=1 setting in the environment!!

CFLAGS  = $(CCFLAGS) $(SASR) $(DEBUG) $(MULHACK) $(FAST) $(LTP_CUT) \                                         
  $(WAV49) $(CCINC) -I$(INC)
Comment 4 abandoned account disabled email 2015-08-26 16:53:54 UTC
The -v to --info would've helped know if this is the case. But emerge -v --info don't fit in comments, must be attached. 

# emerge -v --info|grep DEBUG
DEBUG="1"
PORTAGE_DEBUG="0"

Anyway my issue is solved.
But the original issue in comment #1 is still in effect, u-w eg.
-r--r--r-- 1 root root 763 26.08.2015 19:49 /usr/share/man/man3/gsm_explode.3.bz2
Comment 5 abandoned account disabled email 2015-08-26 16:55:27 UTC
I meant comment #0 (dang it, I wanted to recheck that before posting)
Comment 6 abandoned account disabled email 2015-08-26 19:47:17 UTC
Created attachment 410370 [details, diff]
added -fPIC to .ebuild file so that it works (with hardened gcc 5.2.0)

One more thing, this compiles fine with gcc 5.2.0 vanilla, but with the hardened one fails with:
...
/usr/lib/gcc/x86_64-pc-linux-gnu/5.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: ./src/toast.o: relocation R_X86_64_32 against `f_fast' can not be used when making a shared object; recompile with -fPIC
./src/toast.o: error adding symbols: Bad value
collect2: error: ld returned 1 exit status
Makefile:339: recipe for target 'bin/toast' failed
make: *** [bin/toast] Error 1
...

so I added -fPIC (to the .ebuild file) to "fix" it.